Index: configure.in
===================================================================
RCS file: /cvsroot/squid/squid/configure.in,v
retrieving revision 1.64
diff -u -p -r1.64 configure.in
--- configure.in	12 Aug 2002 22:38:17 -0000	1.64
+++ configure.in	1 Sep 2002 08:53:28 -0000
@@ -866,6 +866,26 @@ AC_ARG_ENABLE(underscores,
   fi
 ])
 
+dnl Select Default hosts file location
+AC_ARG_ENABLE(default-hostsfile,
+[  --enable-default-hostsfile=path
+                          Select default location for hosts file.
+                          See hosts_file directive in squid.conf for details],
+[
+    if test "$enableval" != "none" ; then
+    	if test -f $enableval; then
+	    OPT_DEFAULT_HOSTS=$enableval
+    	else
+	    echo "ERROR! Unable to find $enableval"
+	    exit 1
+	fi
+    else
+	OPT_DEFAULT_HOSTS="none"    
+    fi
+    echo "Default hosts file set to: $enableval"
+],[OPT_DEFAULT_HOSTS="/etc/hosts"])
+AC_SUBST(OPT_DEFAULT_HOSTS)
+
 
 dnl Select auth schemes modules to build
 AC_ARG_ENABLE(auth,
Index: src/Makefile.am
===================================================================
RCS file: /cvsroot/squid/squid/src/Makefile.am,v
retrieving revision 1.23
diff -u -p -r1.23 Makefile.am
--- src/Makefile.am	13 Jul 2002 22:08:09 -0000	1.23
+++ src/Makefile.am	1 Sep 2002 08:53:29 -0000
@@ -283,6 +283,7 @@ DEFAULT_DISKD		= $(libexecdir)/@OPT_DISK
 DEFAULT_ICON_DIR	= $(datadir)/icons
 DEFAULT_ERROR_DIR	= $(datadir)/errors/@ERR_DEFAULT_LANGUAGE@
 DEFAULT_MIB_PATH	= $(datadir)/mib.txt
+DEFAULT_HOSTS		= @OPT_DEFAULT_HOSTS@
 
 DEFS = @DEFS@ -DDEFAULT_CONFIG_FILE=\"$(DEFAULT_CONFIG_FILE)\"
 
@@ -332,7 +333,8 @@ cf.data: cf.data.pre Makefile
 	s%@DEFAULT_ICON_DIR@%$(DEFAULT_ICON_DIR)%g;\
 	s%@DEFAULT_MIB_PATH@%$(DEFAULT_MIB_PATH)%g;\
 	s%@DEFAULT_ERROR_DIR@%$(DEFAULT_ERROR_DIR)%g;\
-	s%@DEFAULT_PREFIX@%$(DEFAULT_PREFIX)%g;"\
+	s%@DEFAULT_PREFIX@%$(DEFAULT_PREFIX)%g;\
+	s%@DEFAULT_HOSTS@%$(DEFAULT_HOSTS)%g;"\
 	< $(srcdir)/cf.data.pre >$@
 
 store_modules.c: store_modules.sh Makefile
Index: src/cf.data.pre
===================================================================
RCS file: /cvsroot/squid/squid/src/cf.data.pre,v
retrieving revision 1.78
diff -u -p -r1.78 cf.data.pre
--- src/cf.data.pre	28 Aug 2002 21:45:43 -0000	1.78
+++ src/cf.data.pre	1 Sep 2002 08:53:31 -0000
@@ -1180,25 +1180,31 @@ DOC_END
 
 NAME: hosts_file
 TYPE: string
-DEFAULT: /etc/hosts
+DEFAULT: @DEFAULT_HOSTS@
 LOC: Config.etcHostsPath
 DOC_START
 	Location of the host-local IP name-address associations
-	database.  Most Operating Systems have such a file: under
-	Un*X it's by default in /etc/hosts MS-Windows NT/2000 places
-	that in %SystemRoot%(by default
-	c:\winnt)\system32\drivers\etc\hosts, while Windows 9x/ME
-	places that in %windir%(usually c:\windows)\hosts
+	database. Most Operating Systems have such a file on different
+	default locations: 
+	- Un*X & Linux:    /etc/hosts
+	- Windows NT/2000: %SystemRoot%\system32\drivers\etc\hosts
+	                   (%SystemRoot% value install default is c:\winnt)
+	- Windows XP:      %SystemRoot%\system32\drivers\etc\hosts
+	                   (%SystemRoot% value install default is c:\windows)
+	- Windows 9x/Me:   %windir%\hosts
+	                   (%windir% value is usually c:\windows)
+	- Cygwin:          /etc/hosts
 
 	The file contains newline-separated definitions, in the
 	form ip_address_in_dotted_form name [name ...] names are
-	whitespace-separated.  lines beginnng with an hash (#)
+	whitespace-separated. Lines beginnng with an hash (#)
 	character are comments.
 
-	The file is checked at startup and upon configuration.  If
-	set to 'none', it won't be checked.  If append_domain is
-	used, that domain will be added to domain-local (i.e. not
-	containing any dot character) host definitions.
+	The file is checked at startup and upon configuration. 
+	If set to 'none', it won't be checked.
+	If append_domain is used, that domain will be added to 
+	domain-local (i.e. not containing any dot character) host
+	definitions.
 DOC_END
 
 NAME: diskd_program
